Package org.apache.commons.math3.linear

# Class RealVector.Entry

java.lang.Object
org.apache.commons.math3.linear.RealVector.Entry

Direct Known Subclasses:
  `OpenMapRealVector.OpenMapEntry`

Enclosing class:
  `RealVector`

protected class RealVector.Entry extends Object
An entry in the vector.

## Constructor Summary

Constructors
Constructor
Description
`Entry()`
Simple constructor.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
Get the index of the entry.
`double`
`getValue()`
Get the value of the entry.
`void`
`setIndex(int index)`
Set the index of the entry.
`void`
`setValue(double value)`
Set the value of the entry.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Entry

public Entry()
Simple constructor.

## Method Details

### getValue

public double getValue()
Get the value of the entry.

Returns:
  the value of the entry.

### setValue

public void setValue(double value)
Set the value of the entry.

Parameters:
  `value` - New value for the entry.

### getIndex

public int getIndex()
Get the index of the entry.

Returns:
  the index of the entry.

### setIndex

public void setIndex(int index)
Set the index of the entry.

Parameters:
  `index` - New index for the entry.